Package be.fgov.ehealth.addressbook.protocol.v1

# Class GetProfessionalContactInfoResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.addressbook.protocol.v1.GetProfessionalContactInfoResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class GetProfessionalContactInfoResponse extends StatusResponseType implements Serializable
Return healthcare professional contact data

Java class for GetProfessionalContactInfoResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetProfessionalContactInfoResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="IndividualContactInformation" type="{urn:be:fgov:ehealth:addressbook:core:v1}IndividualContactInformationType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetProfessionalContactInfoResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndividualContactInformationType`
  `getIndividualContactInformation()`
  Gets the value of the individualContactInformation property.
  `void`
  `setIndividualContactInformation(IndividualContactInformationType value)`
  Sets the value of the individualContactInformation property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetProfessionalContactInfoResponse

    public GetProfessionalContactInfoResponse()

- ## Method Details

  - ### getIndividualContactInformation

    public IndividualContactInformationType getIndividualContactInformation()
    Gets the value of the individualContactInformation property.
    Returns:
      possible object is `IndividualContactInformationType`

  - ### setIndividualContactInformation

    public void setIndividualContactInformation(IndividualContactInformationType value)
    Sets the value of the individualContactInformation property.
    Parameters:
      `value` - allowed object is `IndividualContactInformationType`